import tkMessageBox, tkFileDialog, tkSimpleDialog

title="Center a peak on all views"

def run(session):
    """ center a peak on all views"""

    print "Hello!"
    
    views=session.project.view_list()
    #--- check if window is open ----
    if not views:
      tkMessageBox.showerror(title,"Need some spectra loaded !!!")
      return

    #--- check if only one peak is selected ---
    peak_list=session.selected_spectrum().selected_peaks()
    if len(peak_list)!=1:
      tkMessageBox.showerror(title,"Need to have one peak selected!")
      return
    peak_name=peak_list[0].assignment

    print "Center", peak_name
    for view in views:
        print "Processing: "+view.name
        peak=view.spectrum.find_peak(peak_name)
        peak.center()
        


    print "%s centered" % peak_name
